DELETE https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/servers/failover-group-primary-server/failoverGroups/failover-group-test-1?api-version=2025-01-01
/**
* Samples for FailoverGroups Delete.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/FailoverGroupDelete.json
*/
/**
* Sample code: Delete failover group.
*
* @param manager Entry point to SqlServerManager.
*/
public static void deleteFailoverGroup(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getFailoverGroups().delete("Default", "failover-group-primary-server",
"failover-group-test-1", com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python failover_group_delete.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
client.failover_groups.begin_delete(
resource_group_name="Default",
server_name="failover-group-primary-server",
failover_group_name="failover-group-test-1",
).result()
# x-ms-original-file: 2025-01-01/FailoverGroupDelete.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SqlManagementClient } = require("@azure/arm-sql");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to deletes a failover group.
*
* @summary deletes a failover group.
* x-ms-original-file: 2025-01-01/FailoverGroupDelete.json
*/
async function deleteFailoverGroup() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-1111-2222-3333-444444444444";
const client = new SqlManagementClient(credential, subscriptionId);
await client.failoverGroups.delete(
"Default",
"failover-group-primary-server",
"failover-group-test-1",
);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/FailoverGroupDelete.json
// this example is just showing the usage of "FailoverGroups_Delete" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this FailoverGroupResource created on azure
// for more information of creating FailoverGroupResource, please refer to the document of FailoverGroupResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "Default";
string serverName = "failover-group-primary-server";
string failoverGroupName = "failover-group-test-1";
ResourceIdentifier failoverGroupResourceId = FailoverGroupResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName, failoverGroupName);
FailoverGroupResource failoverGroup = client.GetFailoverGroupResource(failoverGroupResourceId);
// invoke the operation
await failoverGroup.DeleteAsync(WaitUntil.Completed);
Console.WriteLine("Succeeded");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue